Bug 138002 - kernel panics on bringing up eth0
kernel panics on bringing up eth0
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: David Miller
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-03 13:37 EST by Jason Duerstock
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-07 02:55:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jason Duerstock 2004-11-03 13:37:03 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8a3)
Gecko/20040817

Description of problem:
when bringing up eth0, I get the following oops:

Oops: 0000 [#1]
Modules linked in: md5 ipv6 ipt_REJECT iptable_filter ipt_MASQUERADE
iptable_nat ip_conntrack ip_tables microcode dm_mod uhci_hcd ohci_hcd
e100 mii 3c59x floppy ext3 jbd sbp2 ohci1394 ieee1394 sd_mod scsi_mod
CPU:    0
EIP:    0060:[<12adba73>]    Not tainted VLI
EFLAGS: 00010202   (2.6.9-1.667)
EIP is at ip6_route+add+0x51b/0x546 [ipv6]
eax: 00000000   ebx: 11fd4260   ecx: 10e1d000   edx: 00000000
esi: 03330a00   edi: ffffffed   ebp: 10259c88   esp: 10259c58
ds: 007b   es: 007b   ss: 0068
Process ip (pid: 2354, threadinfo=10259000 taks=10238dd0)
Stack: 10259c88 10259c88 00000000 10e1d000 00000000 11fd4260 03330a00
11fd4260
       03330a00 12adc5e0 00000008 12adc60a 1ac00220 0600020a 00000000
00000000
       00000000 00000000 00000000 00000000 00000000 00000000 00000000
00000000
Call Trace:
[<12adc5e0>] inet6_rtm_newroute+0x0/0x35 [ipv6]
[<12adc60a>] inet6_rtm_newroute+0x2a/0x35 [ipv6]
[<12adc5e0>] inet6_rtm_newroute+0x0/0x35 [ipv6]
[<022b1f79>] rtnetlink_rcv+0x225/0x313
[<022bce02>] netlink_data_ready+0x14/0x43
[<022bc607>] netlink_sendskb+0x52/0x6b
[<022bcc1e>] netlink_sendmsg+0x252/0x261
[<022a1959>] sock_sendmsg+0xdb/0xf7
[<022a1a90>] sock_recvmsg+0xef/0x10c
[<0211cf5b>] autoremove_wake_function+0x0/0x2d
[<0215e9d0>] get_user_size+0x30/0x57
[<022a7176>] verify_iovec+0x3e/0x71
[<022a300b>] sys_sendmsg+0x143/0x191
[<02118eef>] pte_alloc_one+0x41/0x49
[<02153c78>] handle_mm_fault+0xe4/0x21e
[<0211953a>] do_page_fault+0x1bc/0x511
[<02151de2>] follow_page_pfn+0xec/0xfd
[<0215e45f>] rw_vm+0x3f7/0x482
[<022a3398>] sys_socketcall+0x160/0x179
[<02119e7e>] do_page_fault+0x0/0x511
Code: <3>Debug: sleeping function alled from invalid context at
include/linux/rwsem.h:43
in_atomic():0[expected: 0], irqs_disabled():1
[<0211c8b9>] __might_sleep+0x7d/0x88
[<0215e27e>] rw_vm+0216/0x482
[<12aa7a48>] ip6_route_add+0x4f0/0x546 [ipv6]
[<12aa7a48>] ip6_route_add+0x4f0/0x546 [ipv6]
[<0215e9d0>] get_user_size+0x30
[<12aa7a48>] ip6_route_add+0x4f0/0x546 [ipv6]
[<0210682b>] show_registers+0x109/0x15e
[<02106a2f>] die+0x14a/0x241
[<0211937e>] do_page_fault+0x0/0x511
[<0211937e>] do_page_fault+0x0/0x511
[<02119733>] do_page_fault+0x3b5/0x511
[<12aa7a73>] ip6_route_add+0x51b/0x546 [ipv6]
[<02146b10>] buffered_rmqueue+0x1dd/0x200
[<02146be7>] __alloc_pages+0xb4/0x298
[<021535df>] do_anonymous_page+0x24c/0x2bc
[<0211937e>] do_page_fault+0x0/0x511
[<12aa7a73>] ip6_route_add+0x51b/0x546 [ipv6]
[<12aa85e0>] inet6_rtm_newroute+0x0/0x35 [ipv6]
[<12aa860a>] inet6_rtm_newroute+0x2a/0x35 [ipv6]
[<12aa85e0>] inet6_rtm_newroute+0x0/0x35 [ipv6]
[<022b1f79>] rtnetlink_rcv+0x225/0x313
[<022bce02>] netlink_data_ready+0x14/0x43
[<022bc607>] netlink_sendskb+0x52/0x6b
[<022bcc1e>] netlink_sendmsg+0x252/0x261
[<022a1959>] sock_sendmsg+0xdb/0xf7
[<022a1a90>] sock_recvmsg+0xef/0x10c
[<0211cf5b>] autoremote_wake_function+0x0/0x2d
[<0215e9d0>] get_user_size+0x30/0x57
[<022a7176>] verify_iovec+0x3e/0x71
[<02118eef>] pte_alloc_one+0x41/0x49
[<02153c78>] handle_mm_fault+0xe4/0x21e
[<0211953a>] do_page_fault+0x1bc/0x511
[<02151de2>] follow_page_pfn+0xec/0xfd
[<0215e45f>] rw_vm+0x3f7/0x482
[<022a3398>] sys_socketcall+0x160/0x179
[<0211937e>] do_page_fault+0x0/0x511
Bad EIP value.

Version-Release number of selected component (if applicable):
kernel-2.6.9-1.667

How reproducible:
Always

Steps to Reproduce:
1. use config files in 'additional information'
2. reboot
3. wait for crash
    

Actual Results:  kernel panic above when trying to start eth0

Expected Results:  no panic

Additional info:

[root@theseus ~]# cat /etc/sysconfig/network
NETWORKING=yes
HOSTNAME=theseus.gallaudet.edu
GATEWAY=192.26.10.1
NETWORKING_IPV6=yes
IPV6FORWARDING=yes
IPV6_DEFAULTDEV=tun6to4
[root@theseus ~]# cat /etc/sysconfig/network-scripts/ifcfg-eth0
DEVICE=eth0
BOOTPROTO=static
BROADCAST=192.26.10.127
IPADDR=192.26.10.2
NETMASK=255.255.255.128
NETWORK=192.26.10.0
ONBOOT=yes
IPV6INIT=yes
IPV6TO4INIT=yes
IPV6_CONTROL_RADVD=yes
IPV6FORWARDING=yes
IPV6TO4_ROUTING="eth1-:6::0/64"
Comment 1 Dave Jones 2005-10-06 00:05:27 EDT
is this reproducable on current errata kernels ?
Comment 2 Dave Jones 2005-12-07 02:55:56 EST
This bug has been mass-closed along with all other bugs that
have been in NEEDINFO state for several months.

Due to the large volume of inactive bugs in bugzilla, this
is the only method we have of cleaning out stale bug reports
where the reporter has disappeared.

If you can reproduce this bug with current FC3 updates, please
reopen this bug.

If you are not the reporter, you can add a comment requesting
it be reopened, and someone will get to it asap.

If you are not the reporter, but can reproduce this problem against
FC4, please open a new bug.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.